package com.xkrs.model.qo;

import com.xkrs.model.va.FirePointQoUpdate;

import javax.validation.constraints.NotNull;
import java.util.List;

public class UpdateFirePointQo {

    @NotNull(message = "{UpdateFirePointQo.data.blank}", groups = {FirePointQoUpdate.class})
    private List<DataDTO> data;

    public static class DataDTO {

        @NotNull(message = "{UpdateFirePointQo.DataDTO.fireCode.blank}", groups = {FirePointQoUpdate.class})
        private String fireCode;

        @NotNull(message = "{UpdateFirePointQo.DataDTO.status.blank}", groups = {FirePointQoUpdate.class})
        private String status;

        public String getFireCode() {
            return fireCode;
        }

        public void setFireCode(String fireCode) {
            this.fireCode = fireCode;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }
    }

    public UpdateFirePointQo() {
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }
}
