package com.xkrs.model.bean;

import com.xkrs.model.entity.FirePointOrdinaryEntity;

import java.util.List;

public class FirePointQueryResultBean {

    private boolean success = false;

    private String errorMessage = null;

    private List<FirePointOrdinaryEntity> list = null;

    private long count = 0L;

    public FirePointQueryResultBean() {
    }

    public FirePointQueryResultBean(String errorMessage) {
        this.success = false;
        this.errorMessage = errorMessage;
        this.list = null;
        this.count = 0L;
    }

    public FirePointQueryResultBean(boolean success, String errorMessage, List<FirePointOrdinaryEntity> list, long count) {
        this.success = success;
        this.errorMessage = errorMessage;
        this.list = list;
        this.count = count;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public List<FirePointOrdinaryEntity> getList() {
        return list;
    }

    public void setList(List<FirePointOrdinaryEntity> list) {
        this.list = list;
    }

    public long getCount() {
        return count;
    }

    public void setCount(long count) {
        this.count = count;
    }
}
